import CJS_COMPAT_NODE_URL from 'node:url';
import CJS_COMPAT_NODE_PATH from 'node:path';
import CJS_COMPAT_NODE_MODULE from "node:module";

const __filename = CJS_COMPAT_NODE_URL.fileURLToPath(import.meta.url);
const __dirname = CJS_COMPAT_NODE_PATH.dirname(__filename);
const require = CJS_COMPAT_NODE_MODULE.createRequire(import.meta.url);
// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  a as t,
  d as o
} from "./chunk-HRN2KQZP.js";

// ../node_modules/picocolors/picocolors.js
var d = o((c, h) => {
  var l = process || {}, n = l.argv || [], g = l.env || {}, B = !(g.NO_COLOR || n.includes("--no-color")) && (!!g.FORCE_COLOR || n.includes("--color") || l.platform === "win32" || (l.stdout || {}).isTTY && g.TERM !== "dumb" || !!g.CI), u = /* @__PURE__ */ t((m, b, i = m) => (e) => {
    let r = "" + e, x = r.indexOf(b, m.length);
    return ~x ? m + s(r, b, i, x) + b : m + r + b;
  }, "formatter"), s = /* @__PURE__ */ t((m, b, i, e) => {
    let r = "", x = 0;
    do
      r += m.substring(x, e) + i, x = e + b.length, e = m.indexOf(b, x);
    while (~e);
    return r + m.substring(x);
  }, "replaceClose"), a = /* @__PURE__ */ t((m = B) => {
    let b = m ? u : () => String;
    return {
      isColorSupported: m,
      reset: b("\x1B[0m", "\x1B[0m"),
      bold: b("\x1B[1m", "\x1B[22m", "\x1B[22m\x1B[1m"),
      dim: b("\x1B[2m", "\x1B[22m", "\x1B[22m\x1B[2m"),
      italic: b("\x1B[3m", "\x1B[23m"),
      underline: b("\x1B[4m", "\x1B[24m"),
      inverse: b("\x1B[7m", "\x1B[27m"),
      hidden: b("\x1B[8m", "\x1B[28m"),
      strikethrough: b("\x1B[9m", "\x1B[29m"),
      black: b("\x1B[30m", "\x1B[39m"),
      red: b("\x1B[31m", "\x1B[39m"),
      green: b("\x1B[32m", "\x1B[39m"),
      yellow: b("\x1B[33m", "\x1B[39m"),
      blue: b("\x1B[34m", "\x1B[39m"),
      magenta: b("\x1B[35m", "\x1B[39m"),
      cyan: b("\x1B[36m", "\x1B[39m"),
      white: b("\x1B[37m", "\x1B[39m"),
      gray: b("\x1B[90m", "\x1B[39m"),
      bgBlack: b("\x1B[40m", "\x1B[49m"),
      bgRed: b("\x1B[41m", "\x1B[49m"),
      bgGreen: b("\x1B[42m", "\x1B[49m"),
      bgYellow: b("\x1B[43m", "\x1B[49m"),
      bgBlue: b("\x1B[44m", "\x1B[49m"),
      bgMagenta: b("\x1B[45m", "\x1B[49m"),
      bgCyan: b("\x1B[46m", "\x1B[49m"),
      bgWhite: b("\x1B[47m", "\x1B[49m"),
      blackBright: b("\x1B[90m", "\x1B[39m"),
      redBright: b("\x1B[91m", "\x1B[39m"),
      greenBright: b("\x1B[92m", "\x1B[39m"),
      yellowBright: b("\x1B[93m", "\x1B[39m"),
      blueBright: b("\x1B[94m", "\x1B[39m"),
      magentaBright: b("\x1B[95m", "\x1B[39m"),
      cyanBright: b("\x1B[96m", "\x1B[39m"),
      whiteBright: b("\x1B[97m", "\x1B[39m"),
      bgBlackBright: b("\x1B[100m", "\x1B[49m"),
      bgRedBright: b("\x1B[101m", "\x1B[49m"),
      bgGreenBright: b("\x1B[102m", "\x1B[49m"),
      bgYellowBright: b("\x1B[103m", "\x1B[49m"),
      bgBlueBright: b("\x1B[104m", "\x1B[49m"),
      bgMagentaBright: b("\x1B[105m", "\x1B[49m"),
      bgCyanBright: b("\x1B[106m", "\x1B[49m"),
      bgWhiteBright: b("\x1B[107m", "\x1B[49m")
    };
  }, "createColors");
  h.exports = a();
  h.exports.createColors = a;
});

export {
  d as a
};
